Name:           ngircd
Version:        26.1
Release:        2%{?dist}
Summary:        Next Generation IRC Daemon
License:        GPLv2+
URL:            http://ngircd.barton.de/
Source0:        http://ngircd.barton.de/pub/ngircd/ngircd-%{version}.tar.gz
Source1:        ngircd.init
Source2:        ngircd.service
Patch0:         ngircd-opencloudos.patch
Patch1:         ngircd-cipher.patch
Patch2:         ngircd-service.patch
Patch3:         ngircd-configure-c99.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  zlib-devel, avahi-compat-howl-devel
BuildRequires:  gnutls-devel
BuildRequires:  pam-devel
BuildRequires:  expect procps-ng telnet openssl
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

Requires(pre): shadow-utils

%description
ngIRCd is a free open source daemon for Internet Relay Chat (IRC), 
developed under the GNU General Public License (GPL). It's written from 
scratch and is not based upon the original IRCd like many others.

%prep
%setup -q
%patch 0 -p1 -b .opencloudos
%patch 1 -p1 -b .cipher
%patch 2 -p1 -b .service
%patch 3 -p1

%build
%configure \
	--with-syslog \
	--with-zlib \
	--with-epoll \
	--with-zeroconf \
	--with-gnutls \
	--with-pam \
	--enable-ipv6

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -D -m 644 contrib/ngircd.service %{buildroot}%{_unitdir}/ngircd.service

install -D -m 660 doc/sample-ngircd.conf %{buildroot}%{_sysconfdir}/ngircd.conf

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -D -m 660 ./contrib/Debian/ngircd.pam %{buildroot}%{_sysconfdir}/pam.d/ngircd

touch  %{buildroot}%{_sysconfdir}/ngircd.motd
rm %{buildroot}%{_docdir}/ngircd/INSTALL.md
mkdir -p %{buildroot}%{_tmpfilesdir}
echo d /run/ngircd 0750 ngircd ngircd - > %{buildroot}%{_tmpfilesdir}/ngircd.conf

%check
%ifnarch %{ix86}
make check
%endif

%pre
getent group ngircd >/dev/null || groupadd -r ngircd
getent passwd ngircd >/dev/null || \
    useradd -r -g ngircd -d /tmp/ -s /sbin/nologin \
    -c "Next Generation IRC Daemon" ngircd
exit 0

%post
%systemd_post ngircd.service

%preun
%systemd_preun ngircd.service

%postun
%systemd_postun_with_restart ngircd.service

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/ngircd.conf
%config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/pam.d/ngircd
%ghost %config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/ngircd.motd
%{_unitdir}/ngircd.service
%{_sbindir}/ngircd
%{_docdir}/ngircd/
%{_mandir}/man5/ngircd.conf*
%{_mandir}/man8/ngircd.8*
%{_tmpfilesdir}/ngircd.conf

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 26.1-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 26.1-1
- initial build
